Debian Bug report logs - #691272
ITP: gnuplot-iostream -- Command-line driven interactive plotting program.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Anton Gladky <gladk@debian.org>

Date: Tue, 23 Oct 2012 18:39:02 UTC

Owned by: Anton Gladky <gladk@debian.org>

Severity: wishlist

Fixed in version gnuplot-iostream/0~20120508.git5719ce8-1

Done: Anton Gladky <gladk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691272; Package wnpp. (Tue, 23 Oct 2012 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 23 Oct 2012 18:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: gnuplot-iostream -- Command-line driven interactive plotting program.
Date: Tue, 23 Oct 2012 20:35:26 +0200
Package: wnpp
Severity: wishlist
Owner: Anton Gladky <gladky.anton@gmail.com>

* Package name    : gnuplot-iostream
* URL             : http://www.stahlke.org/dan/gnuplot-iostream/
* License         : BSD
  Programming Lang: C++
  Description     : Command-line driven interactive plotting program

This interface allows gnuplot to be controlled from C++ and is designed to be
the lowest hanging fruit. In other words, if you know how gnuplot works it
should only take 30 seconds to learn this library. Basically it is just an
iostream pipe to gnuplot with some extra functions for pushing data arrays and
getting mouse clicks. Data sources include STL containers (eg. vector or map)
and one or two dimensional Blitz++ arrays (of scalars or TinyVectors). Support
for other data sources should be easy to add.

Basically there are two functions defined: send() sends arrays of data values
(it is overloaded to do the right thing based upon what type of variable you
pass) and getMouse() gets the position of a mouse click. Everything else is
accomplished by sending commands manually to gnuplot via the iostream
interface.

The package will be maintained under debian-science team.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691272; Package wnpp. (Sun, 09 Dec 2012 17:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Dec 2012 17:24:05 GMT) Full text and rfc822 format available.

Message #10 received at 691272@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 691272@bugs.debian.org
Subject: Git-repo
Date: Sun, 9 Dec 2012 18:19:52 +0100
The git-repo with packaging stuff is:

http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot-iostream.git

Anton



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 07:06:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Anton Gladky <gladk@debian.org>' from 'Anton Gladky <gladky.anton@gmail.com>' Request was from Anton Gladky <gladk@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 09:06:11 GMT) Full text and rfc822 format available.

Owner changed from Anton Gladky <gladky.anton@gmail.com> to Anton Gladky <gladk@debian.org>. Request was from Anton Gladky <gladk@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 09:06:13 GMT) Full text and rfc822 format available.

Reply sent to Anton Gladky <gladk@debian.org>:
You have taken responsibility. (Fri, 12 Apr 2013 16:03:04 GMT) Full text and rfc822 format available.

Notification sent to Anton Gladky <gladk@debian.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 16:03:05 GMT) Full text and rfc822 format available.

Message #21 received at 691272-close@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: 691272-close@bugs.debian.org
Subject: Bug#691272: fixed in gnuplot-iostream 0~20120508.git5719ce8-1
Date: Fri, 12 Apr 2013 16:00:06 +0000
Source: gnuplot-iostream
Source-Version: 0~20120508.git5719ce8-1

We believe that the bug you reported is fixed in the latest version of
gnuplot-iostream, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691272@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anton Gladky <gladk@debian.org> (supplier of updated gnuplot-iostream package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Feb 2013 19:34:30 +0100
Source: gnuplot-iostream
Binary: libgnuplot-iostream-dev libgnuplot-iostream-doc
Architecture: source all
Version: 0~20120508.git5719ce8-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Anton Gladky <gladk@debian.org>
Description: 
 libgnuplot-iostream-dev - C++ programming interface for gnuplot. Headers
 libgnuplot-iostream-doc - C++ programming interface for gnuplot. Docs and examples
Closes: 691272
Changes: 
 gnuplot-iostream (0~20120508.git5719ce8-1) unstable; urgency=low
 .
   * Initial packaging. (Closes: #691272)
Checksums-Sha1: 
 ba87fb9a7a0882c5c53a3eae9c28c8e63bf0a789 2302 gnuplot-iostream_0~20120508.git5719ce8-1.dsc
 a1d3021065bef38bc1ee9c3d89f587d5507eba59 10614 gnuplot-iostream_0~20120508.git5719ce8.orig.tar.bz2
 0599111ca1e82d26a0a083af1cd9bc1c57d88afb 3842 gnuplot-iostream_0~20120508.git5719ce8-1.debian.tar.gz
 0c9c6e2fc3f0c2ce36287e8321abe446a714ae12 7430 libgnuplot-iostream-dev_0~20120508.git5719ce8-1_all.deb
 4e2f2262c3fa254a16e864313073fef303f4077f 10442 libgnuplot-iostream-doc_0~20120508.git5719ce8-1_all.deb
Checksums-Sha256: 
 215f425a6f27918dfd42b53e6f5076dfff08008292c889e85fd4b91292ae0a45 2302 gnuplot-iostream_0~20120508.git5719ce8-1.dsc
 88fc46c3b64020f5753fc8dd0f47e4238a4a0da544a1928f0f734e85f3812940 10614 gnuplot-iostream_0~20120508.git5719ce8.orig.tar.bz2
 8dc0f28f13f5f4ef58522cb7388c9c671efbd6205597841dbc7f3fb8d368337c 3842 gnuplot-iostream_0~20120508.git5719ce8-1.debian.tar.gz
 f078974ddbd18715a61ea05d41895597960d4db7f978502cad9671c9f24253c1 7430 libgnuplot-iostream-dev_0~20120508.git5719ce8-1_all.deb
 d6fd90a4e3c51fd9d589154a1ba8f83f90684f8e3ff8c075177850b553553918 10442 libgnuplot-iostream-doc_0~20120508.git5719ce8-1_all.deb
Files: 
 84a88ae15e8ee09c7b28b0650ad7d134 2302 libdevel optional gnuplot-iostream_0~20120508.git5719ce8-1.dsc
 afe10793e0af0275b3483e0d5f8a0c1c 10614 libdevel optional gnuplot-iostream_0~20120508.git5719ce8.orig.tar.bz2
 00838dfa08307ecdc2e55dc1735b6594 3842 libdevel optional gnuplot-iostream_0~20120508.git5719ce8-1.debian.tar.gz
 652ae4d80928ea45cd7a658806b51dbf 7430 libdevel optional libgnuplot-iostream-dev_0~20120508.git5719ce8-1_all.deb
 7c30de2cc64f3c10dfd93dd670053837 10442 doc optional libgnuplot-iostream-doc_0~20120508.git5719ce8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRLlX9AAoJENPhc4PPp/8GZKUQAICo8piqZ8K6cHxIPAMt1F2q
63rufk+GAwOqEFb4DT/NZOZlW7OY6ElTmcpJkUjVysz6dvtvLsrul0XZBCAf7SKo
Mbfg8Ph65s0Kdk6IO5sKTO7zX+5AeSz7iJ5jJtVO8KyHIZQ56DFiMq9Ezpu4OdpW
yFOb4pGcBhffQd+sO3d9XP9u+JuYinxDLKQmd3VLyWbCYo0qgpznPnRfftN8pfnd
Zh1QC9J9BiEDvpssFHpB/37FkWjK0E+RljjitMa+Nt7hVskxEdqfR6iQ1Us6HCuT
7W3DHT/kZ6KXq8bbncwz65VsCl36xKUA0xW/MEAnCOqI1vfkklTy/P+gZFj1PutJ
d4pY17pftrxB15yZYibph8xLGY8rr2kH6ZEgPIs2BjAgAD/5lJs6DI0RPN6fc04i
M2jNIovEcL6JWto8BBrcQWCA68VxrSOL1+TfQ9f9pWT/kG7ukgKxJDIA+TEvWrV/
PMa1kAgSaDubA3F3i/4jlEUKl2zKd6ipqbJZ7Rt9/ZSB2dBwi83UaKIcLyzXApW+
Nnq/fdDqSCgxX23s48okOdY7xPQPDKLhSlZd/d4knamjA4abIXVRPzkAf6B1IwWK
raoi3FEC9TCWIWJAvC3rzNB3vJNLzAMzbQgyw3jVmAEKbOZrrcf6rOQ32qu5lsJA
R8CIrCHmlyP/XdfIbpd7
=Tytm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:33:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:47:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.